Create a playbook
POST/playbooks
Create a playbook
Request
Responses
- 201
- 400
- 403
- 500
ID of the created playbook.
Response Headers
Location of the created playbook.
The request is malformed.
Access to the resource is forbidden for this user.
There was an internal error in the server.
Callbacks
- POST playbookRunCreation
- POST playbookRunStatusUpdate
POST{$request.body#/webhook_on_creation_url}
When a playbook run is created with this playbook, a POST request is sent to the URL configured in webhook_on_creation_url. The webhook is considered successful if your server returns a response code within the 200-299 range. Otherwise, the webhook is considered failed, and a warning message is posted in the playbook run's channel. No retries are made.
Callbacks Responses
- 2XX
Your server returns a 2XX code if it successfully received the request.
POST{$request.body#/webhook_on_status_update_url}
When a playbook run's status is updated, a POST request is sent to the URL configured in webhook_on_status_update_url. The webhook is considered successful if your server returns a response code within the 200-299 range. Otherwise, the webhook is considered failed, and a warning message is posted in the playbook run's channel. No retries are made.
Callbacks Responses
- 2XX
Your server returns a 2XX code if it successfully received the request.